Skip to main content
GET
List widgets

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:30

The number of items per page

Required range: 0 <= x <= 100
pagination
boolean

Enable or disable pagination

product
string
product[]
string[]
isActive
boolean
isActive[]
boolean[]
widgetType
string
widgetType[]
string[]
order[createdAt]
enum<string>
default:asc
Available options:
asc,
desc
order[name]
enum<string>
default:asc
Available options:
asc,
desc

Response

Widget collection

id
integer
read-only
uuid
string | null
name
string
title
string | null
description
string | null
type
string
default:popup
widgetType
string
default:donation
heroImage
string | null
settings
(string | null)[]
tenant
string<iri-reference>
Example:

"/api/v1/tenants/1"

product
string<iri-reference> | null
Example:

"/api/v1/products/1"

isActive
boolean
default:true
createdAt
string<date-time>
updatedAt
string<date-time> | null
tag
string<iri-reference> | null
Example:

"/api/v1/tags/1"

subscriberCount
integer | null